Page MenuHomeFreeBSD

www/node: Update to version 18.5.0
ClosedPublic

Authored by jrm on Jul 6 2022, 5:28 PM.
Tags
None
Referenced Files
F55454883: D35734.diff
Fri, Jan 27, 9:32 PM
Unknown Object (File)
Fri, Jan 20, 8:10 PM
Unknown Object (File)
Tue, Jan 10, 5:46 PM
Unknown Object (File)
Dec 28 2022, 5:02 AM
Unknown Object (File)
Dec 13 2022, 2:32 AM
Subscribers

Details

Summary
Test Plan

poudriere testport passes for:

  • 12.3/13.0 i386/amd64 with defaults options
    • all ports depending on www/node on 13.0 amd64 [1]
    • all options off/on on recent CURRENT

[1]
devel/RStudio
mail/thunderbird
www/chromium
www/firefox
www/firefox-esr
www/iridium (still building)

Installed www/npm-node18 and tested a package install

Note, I probably won't wait for a full two weeks for a maintainer timeout as there are some security vulnerabilities in the version currently in the tree.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 46290
Build 43179: arc lint + arc unit

Event Timeline

jrm requested review of this revision.Jul 6 2022, 5:28 PM
www/node/pkg-plist
2804

Have to look into this file. Seems suspicious.

jrm marked an inline comment as not done.

Update text in BROKEN_SSL_REASON

This revision is now accepted and ready to land.Jul 7 2022, 10:39 AM

www/iridium was the only consumer port that failed to build, but it's unclear whether that's due to this www/node upgrade.

http://pkg.ftfl.ca/build.html?mastername=13amd64-default&build=2022-07-05_23h35m34s

www/node: Update to 18.5.0

This update includes a fix for a high-level security vulnerability.

https://nodejs.org/en/blog/vulnerability/july-2022-security-releases/

poudriere testport 12/13 i386/amd64

This revision now requires review to proceed.Jul 8 2022, 2:42 PM
jrm retitled this revision from www/node: Update to version 18.4.0 to www/node: Update to version 18.5.0.Jul 8 2022, 2:43 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 11 2022, 2:14 AM
This revision was automatically updated to reflect the committed changes.